import _Tag from "@alifd/next/es/tag";
import _extends from "@babel/runtime/helpers/extends";
import _Icon from "@alifd/next/es/icon";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/objectWithoutPropertiesLoose";
var _excluded = ["style", "type", "content", "disabled", "icon", "size", "urlpage"];
import * as React from 'react';
import "./index.scss";
var IconTag = function IconTag(_ref) {
  var _ref$style = _ref.style,
    style = _ref$style === void 0 ? {} : _ref$style,
    type = _ref.type,
    content = _ref.content,
    disabled = _ref.disabled,
    icon = _ref.icon,
    size = _ref.size,
    urlpage = _ref.urlpage,
    otherProps = _objectWithoutPropertiesLoose(_ref, _excluded);
  var _style = style || {};
  // _style.backgroundColor = '#E7E7E7'
  _style.border = 'none';
  var _otherProps = otherProps || {};
  var pageUrl = function pageUrl(e) {
    if (type == '超链接' && urlpage != "") {
      window.location.href = urlpage ? urlpage : '';
    }
  };
  if (type == '失效标签') {
    disabled = true;
  } else {
    disabled = false;
  }
  _otherProps.style = _style;
  return /*#__PURE__*/React.createElement(_Tag, _extends({
    prefix: "next-",
    disabled: disabled
  }, _otherProps, {
    size: size,
    onClick: pageUrl,
    className: disabled ? 'disabledsty' : null
  }), /*#__PURE__*/React.createElement(_Icon, {
    type: icon,
    className: "iconsty"
  }), " ", content);
};
IconTag.displayName = 'IconTag';
export default IconTag;